package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: AlbumYelpInfo
 * 作者: Zizg
 * 时间: 2023/2/16
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("根据点评ID获取点评审核信息数据")
@Data
public class AlbumYelpInfoVo implements Serializable {

    @ApiModelProperty("点评Id")
    private String pkId;

    @ApiModelProperty("创建人名称")
    private String createName;

    @ApiModelProperty("创建人头像")
    private String createPhoto;

    @ApiModelProperty("评论内容")
    private String content;

    @ApiModelProperty("评论时间")
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    @ApiModelProperty("审核状态 0-审核中  1-审核通过  2-审核未通过")
    private Integer state;

    @ApiModelProperty("审核状态名称")
    private String stateName;

    @ApiModelProperty("动作标记")
    private List<String> actionFlag;

    @ApiModelProperty("点评内容 如果审核的是评论，则返回对应的点评内容")
    private AlbumYelpInfoVo yelp;

    @ApiModelProperty("专辑基础信息")
    private AlbumInfoDetailVo ablum;

    @ApiModelProperty("审批流程")
    private List<AlbumApproveVo> flows;

}
