
/**
 * <pre>
 *
 * 描述：业务--知识地图表实体类定义
 * 表:KM_MAP
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-13 09:56:02
 * 版权：
 * </pre>
 */
package com.redxun.knowledge.map.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import java.util.ArrayList;
import java.util.List;

@ApiModel("知识地图表")
@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_MAP")
public class Map  extends BaseExtEntity<String> {

    @JsonCreator
    public Map() {
    }

    //主键
    @ApiModelProperty("主键Id")
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //地图类型;对应知识地图类型字典（KNOWLEDGE_MAP）
    @ApiModelProperty("地图类型;对应知识地图类型字典")
    @TableField(value = "TYPE")
    private Integer type;
    //地图名称
    @ApiModelProperty("地图名称")
    @TableField(value = "NAME")
    private String name;
    //组织ID
    @ApiModelProperty("组织Id")
    @TableField(value = "GROUP_ID")
    private String groupId;
    //组织概要（-分隔的各级组织名称）
    @ApiModelProperty("组织概要(-分隔的各级组织名称)")
    @TableField(value = "GROUP_SUMMARY")
    private String groupSummary;
    //隶属于组织人员阅读权限;可选项：1-全部员工可见  2-部分员工可见
    @ApiModelProperty("隶属于组织人员阅读权限;可选项：1-全部员工可见  2-部分员工可见")
    @TableField(value = "GROUP_PURVIEW")
    private Integer groupPurview;
    @ApiModelProperty("删除标记;删除状态：0-正常  1-删除")
    //删除标记;删除状态：0-正常  1-删除
    @TableField(value = "IS_DEL")
    @TableLogic
    private Integer isDel;



    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



